#include <stdio.h>

/* Function max: Return the largest value of the parameters */
float max(float x, float y);
/* Function mark: Calculates final mark */
float mark(float p1, float p2, float e);

int main(void) {
    char c;
    do {
        float partial1, partial2, exam, final;

        /* Read values */
        printf("Enter mark partial 1 [0, 10]: ");
        scanf("%f", &partial1);
        printf("Enter mark partial 2 [0, 10]: ");
        scanf("%f", &partial2);
        printf("Enter mark final exam [0, 10]: ");
        scanf("%f", &exam);

        /* Calculate final mark */
        final = mark(partial1, partial2, exam);

        /* Print result */
        printf("Final mark: %f", final);

        /* Continue? */
        printf("\n\nExit? (y/n): ");
        getchar(); /* Flush last key stroke */
        c = getchar();	// using getchar to read a single character, similar to scanf("%c", &c)
        printf("\n");

    } while(c != 'y');

    return 0;
}


/* Function mark: Calculates final mark from
   - first partial 20% (p1)
   - second partial 20% (p2)
   - June exam 60%  (e)
   If the mark obtained in the June exam is larger than the mark of the 
   continuous evaluation, the first one is the final mark 
 */
float mark(float p1, float p2, float e) {
    float ec, no_ec, final;
    ec    = p1*0.2+p2*0.2+e*0.6;
    no_ec = e;
    final = max(ec, e);
    return final;
}

/* Function max: Return the largest value of the parameters */
float max(float x, float y) {
    float max;
    if(x >= y)
        max = x;
    else
        max = y;
    return max;
}
