#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int menu(void);
float areaTriangle(void);
float areaTrapezoid(void);
float areaRectangle(void);

int main(void) {
    int option;
    float area = -1;
              
    option = menu();
    switch(option) {
        case 1:           
             area=areaTriangle();
             break;            
        case 2:            
             area=areaTrapezoid();
             break;        
        case 3:
             area=areaRectangle();                        
             break;                
    }
    if(area >= 0)
        printf("Area: %f\n", area);
    else
        printf("\nWrong option or input values\n");
        
    return 0;
}

int menu(void) {    
    int op;
    
    /* Print menu and read option */
    do {
       printf("Calculate the area\n"); 
       printf("------------------------\n"); 
       printf("1. Calculate the area of a triangle (base, height)\n"); 
       printf("2. Calculate the area of a trapezoid (edge a, edge b, height)\n");
       printf("3. Calculate the area of a rectangle (base, height)\n");
        
        printf("\nEnter option: ");
        scanf("%i", &op);
        printf("\n");
    } while(op<1 || op>3);
    
    return op;    
}

float areaTriangle(void) {
   float b, h, a;
   
   printf("Introduce base:   ");
   scanf("%f", &b);
   printf("Introduce height: ");
   scanf("%f", &h);
   a =  (b * h) / 2;
   return a;             
}

float areaTrapezoid(void) {
   float a, b, h, ar;
   
   printf("Introduce edge a:   ");
   scanf("%f", &a);
   printf("Introduce edge b:   ");
   scanf("%f", &b);
   printf("Introduce height:   ");
   scanf("%f", &h);
   ar =  h * ( (a+b) / 2);
   
   return ar;
}

float areaRectangle(void) {
   float b, h, a;
   
   printf("Introduce base:   ");
   scanf("%f", &b);
   printf("Introduce height: ");
   scanf("%f", &h);
   a =  (b * h);
   
   return a;
}
